<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=users&id=".$user['ID']."'>".LG('Мои сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новое сообщество')."";
ECHO "</div>";

IF (POST('ok')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $id_cat = INTVAL(POST('id_cat'));
  $private = INTVAL(POST('private'));
  
  IF (STR($name) < 5){
    
    ERROR('Имя не может быть меньше 5 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 120){
    
    ERROR('Имя не может быть больше 120 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 200){
    
    ERROR('Описание не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES` WHERE `NAME` = '".$name."' LIMIT 1") == 1){
    
    ERROR('Сообщество с таким именем уже существует', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=communities&section=users&id='.$user['ID'].'&get=add');
    
  }
  
  $ID = DB::GET_ADD("INSERT INTO `COMMUNITIES` (`NAME`, `PRIVATE`, `USER_ID`, `ID_CATEGORY`, `MESSAGE`, `TIME`) VALUES ('".$name."', '".$private."', '".$user['ID']."', '".$id_cat."', '".$message."', '".TIME()."')");
  
  DB::GET_ADD("INSERT INTO `COMMUNITIES_PAR` (`USER_ID`, `ADMINISTRATION`, `COMMUNITY_ID`) VALUES ('".$user['ID']."', '1', '".$ID."')");
  
  SUCCESS('Сообщество успешно создано', 'session');
  REDIRECT('/modules/?path=communities&section=show&id='.$ID);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=communities&section=users&id=".$user['ID']."&get=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 5 до 120 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите описание')."</b> (".LG('до 200 символов')."):<br />";
HTML::INPUT('message', 'Описание');

ECHO "<b>".LG('Категория').":</b><br /><select name='id_cat' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES_CATEGORIES` ORDER BY `ID` DESC");

ECHO "<option value='0'>Без категории</option>";

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br />";

ECHO "<br /><b>".LG('Тип сообщества')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Открытое сообщество')."</option>";
ECHO "<option value='1'> ".LG('Анонимное сообщество')."</option>";
ECHO "<option value='2'> ".LG('Сообщество по интересам')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать сообщество');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list-body'>";

ECHO "<div class='list-menu'>";
ECHO "<center><b>".LG('В ЧЕМ РАЗНИЦА МЕЖДУ ТИПАМИ СООБЩЕСТВ')."</b></center>";
ECHO "</div>";

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Открытое сообщество')."</b> - сообщество с возможностью открытого вступления без приглашения или одобрения администрации";
ECHO "</div>";

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Анонимное сообщество')."</b> - закрытый клуб с возможностью вступления только через приглашение по почте";
ECHO "</div>";

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Сообщество по интересам')."</b> - сообщество с возможностью вступления после одобрения заявки администрацией";
ECHO "</div>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities&section=users&id=".$user['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities&section=users&id=".$user['ID']."'>".LG('Мои сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новое сообщество')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>